MOD_REG_SECURITY(9)

NAME
mod_reg_security - allows security modules to be stacked

SYNOPSIS

int mod_reg_security (const char * name, struct security_operations * ops);

ARGUMENTS

name
    a pointer to a string with the name of the security_options to be registered

ops a pointer to the struct security_options that is to be registered

DESCRIPTION

This function allows security modules to be stacked if the currently loaded security module allows this to happen. It passes the name and ops to the register_security function of the currently loaded security module.

The return value depends on the currently loaded security module, with 0 as success.